#!/usr/bin/env python

import hicstuff_digest as hcd
import argparse

if __name__ == "__main__":
    parser = argparse.ArgumentParser()
    parser.add_argument("-e", "--enzyme")
    parser.add_argument("-i", "--index")
    args = parser.parse_args()

    enzyme = args.enzyme
    index = args.index


    #hicstuff case sensitive enzymes adaptation
    if enzyme == "hindiii":
        enzyme = "HindIII"
    elif enzyme == "dpnii":
        enzyme = "DpnII"
    elif enzyme == "bglii":
        enzyme = "BglII"
    elif enzyme == "mboi":
        enzyme = "MboI"
    elif enzyme == "arima":
        enzyme = "Arima"


    # Generate info_contigs and fragments_list output files
    hcd.write_frag_info(
        index,
        enzyme,
        min_size=0,
        circular=False,
        output_contigs="info_contigs.txt",
        output_frags="fragments_list.txt",
    )

    # Log fragment size distribution
    hcd.frag_len(frags_file_name="fragments_list.txt", plot=False, fig_path="frags_hist.pdf")
