process BUILD_MATRIX {
    tag '$idx_pairs'
    label 'process_single'

    conda "conda-forge::python=3.9 conda-forge::biopython=1.80 conda-forge::numpy=1.22.3 conda-forge::matplotlib=3.6.3 conda-forge::pandas=1.5.3"
    container = "lbmc/hicstuff:3.1.3"

    input:
    tuple val(meta), path(idx_pairs)
    tuple val(meta), path(fragments_list)

    output:
    tuple val(meta), path("abs_fragments_contacts_weighted.txt"), emit: matrix

    script:
    """
    hicstuff_build_matrix.py -p ${idx_pairs} -f ${fragments_list} -t graal -o abs_fragments_contacts_weighted.txt
    """
}
